com.tibco.tibjms.admin

## Class RVCMTransportInfo

- java.lang.Object
- - com.tibco.tibjms.admin.TransportInfo
  - - com.tibco.tibjms.admin.RVCMTransportInfo

-     public class RVCMTransportInfo
      extends TransportInfo

  This class represents TIBCO Rendezvous Certified Messaging transports that are configured on the EMS server. TIBCO Rendezvous Certified Messaging transports are mechanisms for importing and exporting messages between EMS and TIBCO Rendezvous Certified Messaging clients.

- - ### Field Summary

    - ### Fields inherited from class com.tibco.tibjms.admin.TransportInfo

      `NON_PERSISTENT, PERSISTENT, RELIABLE, TPORT_ALL, TPORT_FTL, TPORT_RV, TPORT_RVCM, TPORT_SS`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCMName()` Get the certified messaging name used by this transport for TIBCO Rendezvous Certified Messaging.
    `double` | `getDefaultTimeLimit()` Get the default time-to-live for TIBCO Rendezvous Certified Messages sent on this transport by the server to TIBCO Rendezvous clients.
    `boolean` | `getExlicitConfigOnly()` Deprecated. as of EMS 6.0, use the correctly spelled API getExplicitConfigOnly()
    `boolean` | `getExplicitConfigOnly()` Indicates whether or not only TIBCO Rendezvous Certified listeners that have been explicitly configured are allowed to receive messages exported by the EMS server.
    `java.lang.String` | `getLedger()` Get the name of the ledger file used by this transport for TIBCO Rendezvous Certified Messaging.
    `RVQueuePolicy` | `getPolicy()` Returns the discard policy of the TIBCO Rendezvous internal queue used by this transport.
    `boolean` | `getRequestOld()` Indicates whether or not TIBCO Rendezvous Certified Messages that were sent by certified senders while the EMS server was not running should be requested when the EMS server starts up.
    `java.lang.String` | `getRVTransportName()` Get the name of this transport's TIBCO Rendezvous transport.
    `boolean` | `getSyncLedger()` Indicates whether or not the EMS server is to use a synchronous ledger file when participating in TIBCO Rendezvous Certified Messaging on this transport.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.tibco.tibjms.admin.TransportInfo

      `getExportHeaders, getExportProperties, getName, getQueueImportDeliveryMode, getTopicImportDeliveryMode, getType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getRVTransportName

          public java.lang.String getRVTransportName()

      Get the name of this transport's TIBCO Rendezvous transport. All TIBCO Rendezvous Certified Messaging transports must have an underlying TIBCO Rendezvous transport and this method returns the name of that transport.
      Returns:
        the name of the transport's Rendezvous transport.

    - #### getCMName

          public java.lang.String getCMName()

      Get the certified messaging name used by this transport for TIBCO Rendezvous Certified Messaging.
      Returns:
        the certified messaging name used by this transport.

    - #### getLedger

          public java.lang.String getLedger()

      Get the name of the ledger file used by this transport for TIBCO Rendezvous Certified Messaging.
      Returns:
        the name of the ledger file or null if the ledger file is not set and Rendezvous certified messages are only stored in memory.

    - #### getSyncLedger

          public boolean getSyncLedger()

      Indicates whether or not the EMS server is to use a synchronous ledger file when participating in TIBCO Rendezvous Certified Messaging on this transport. If the ledger is synchronous the EMS server will perform synchronous updates to the TIBCO Rendezvous Certified Messaging ledger file. This can slow the performance of importing certified messages but reduces the risk of duplicate delivery following a server failure.
      Returns:
        true if the transport uses synchronous ledger, false otherwise.

    - #### getRequestOld

          public boolean getRequestOld()

      Indicates whether or not TIBCO Rendezvous Certified Messages that were sent by certified senders while the EMS server was not running should be requested when the EMS server starts up.
      Returns:
        true if old messages are to be requested, false otherwise.

    - #### getDefaultTimeLimit

          public double getDefaultTimeLimit()

      Get the default time-to-live for TIBCO Rendezvous Certified Messages sent on this transport by the server to TIBCO Rendezvous clients.
      Returns:
        the time-to-live in seconds, or 0 if messages don't expire.

    - #### getExlicitConfigOnly

          @Deprecated
          public boolean getExlicitConfigOnly()

      Deprecated. as of EMS 6.0, use the correctly spelled API getExplicitConfigOnly()
      Indicates whether or not only TIBCO Rendezvous Certified listeners that have been explicitly configured are allowed to receive messages exported by the EMS server. Note that if this property is set to true unconfigured listeners will still receive the exported messages but message delivery will be reliable not certified.
      Returns:
        true if only configured listeners are to receive certified messages, false otherwise.

    - #### getExplicitConfigOnly

          public boolean getExplicitConfigOnly()

      Indicates whether or not only TIBCO Rendezvous Certified listeners that have been explicitly configured are allowed to receive messages exported by the EMS server. Note that if this property is set to true unconfigured listeners will still receive the exported messages but message delivery will be reliable not certified.
      Returns:
        true if only configured listeners are to receive certified messages, false otherwise.
      Since:
        EMS 6.0

    - #### getPolicy

          public RVQueuePolicy getPolicy()

      Returns the discard policy of the TIBCO Rendezvous internal queue used by this transport.
      Returns:
        the RV Queue policy for this transport
      Since:
        EMS 5.0

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Cloud Software Group, Inc. All rights reserved